/**
   @file: hildon-word-completion.h
  
 */
/*
 *  Copyright 2005 Nokia
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __HILDON_WORD_COMPLETION_H__
#define __HILDON_WORD_COMPLETION_H__

#include <gtk/gtkcontainer.h>

G_BEGIN_DECLS

#define HILDON_TYPE_WORD_COMPLETION (hildon_word_completion_get_type() )
#define HILDON_WORD_COMPLETION(obj) \
  (GTK_CHECK_CAST (obj, HILDON_TYPE_WORD_COMPLETION, HildonWordCompletion))
#define HILDON_WORD_COMPLETION_CLASS(klass) \
  (GTK_CHECK_CLASS_CAST ((klass), HILDON_TYPE_WORD_COMPLETION, \
  HildonWordCompletionClass))
#define HILDON_IS_WORD_COMPLETION(obj) \
  (GTK_CHECK_TYPE (obj, HILDON_TYPE_WORD_COMPLETION))
#define HILDON_IS_WORD_COMPLETION_CLASS(klass) \
  (GTK_CHECK_CLASS_TYPE ((klass), HILDON_TYPE_WORD_COMPLETION))

typedef struct _HildonWordCompletion HildonWordCompletion;
typedef struct _HildonWordCompletionClass HildonWordCompletionClass;
typedef struct _HildonWordCompletionPrivate HildonWordCompletionPrivate;

struct _HildonWordCompletion
{
  GtkContainer parent;
  HildonWordCompletionPrivate *priv;
};

struct _HildonWordCompletionClass
{
  GtkContainerClass parent_class;

  void (*complete) (HildonWordCompletion *self, const char *completion,
		    gint invert_space, gpointer unused);
};

enum
{
  SHRINK_NONE = 0,
  SHRINK_NORMAL,
  SHRINK_FULLSCREEN
};

GType       hildon_word_completion_get_type       (void);	
GtkWidget*  hildon_word_completion_new            (void);
gboolean    hildon_word_completion_add_dictionary (HildonWordCompletion *self, 
                                                   const gchar *word);
void hildon_word_completion_save_and_clear_current_word(HildonWordCompletion 
  *self);

G_END_DECLS

#endif
